package main

import (
	"embed"
	"image/color"

	"github.com/fogleman/gg"
)

var (
	res embed.FS
)

func GenCaptcha() {
	dc := gg.NewContext(400, 300)
	gd := gg.NewLinearGradient(0, 0, 400, 300)
	gd.AddColorStop(0, color.RGBA{189, 24, 229, 255})
	gd.AddColorStop(1, color.RGBA{27, 21, 123, 255})
	dc.SetFillStyle(gd)
	dc.DrawRectangle(0, 0, 400, 300)
	dc.Fill()
	dc.SetRGBA(0, 0, 0, 0.05)
	dc.SetLineWidth(27)
	for i := 0.0; i < 20; i += 1 {
		dc.DrawLine(i * 70, -100, i * 70 - 500, 400)
		dc.Stroke()
	}
	dc.SavePNG("grad.png")
}
